'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getDepsExisted = getDepsExisted;
exports.readFile = readFile;
exports.cwd = cwd;
exports.isFile = isFile;

var _pkgUp = require('pkg-up');

var _pkgUp2 = _interopRequireDefault(_pkgUp);

var _pkgError = require('./pkg-error');

var _pkgError2 = _interopRequireDefault(_pkgError);

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function getDepsExisted() {
  const pkgPath = _pkgUp2.default.sync();
  if (!pkgPath) {
    throw new _pkgError2.default('package.json not exists, please create first !');
  }
  const { dependencies, devDependencies } = require(pkgPath);
  // const depsExists = Object.keys(dependencies).concat(Object.keys(devDependencies))
  const depsExists = [].concat(Object.keys(dependencies || {}), Object.keys(devDependencies || {}));
  return depsExists;
}

function readFile(file) {
  return _fs2.default.readFileSync(file, 'utf8');
}

function cwd(...args) {
  return _path2.default.resolve(process.cwd(), ...args);
}

function isFile(file) {
  return _fs2.default.statSync(file).isFile();
}